//控件扩展
(function ($) {
    
    //点击事件里面包含初始化
    //$.headportrait(function (guid) {
    //    alert(guid);
    //});

    ////获取小孩GUID方法
    //$.getCurrheadportraitGuid();

    ////设置定位的方法
    //$.setCurrMethod("mbr");

$.extend($, {
    headportrait: function (func) {

        //初始化
        var onlineStateTimes = setInterval(function () {
            $.ajax({
                type: "post",
                url: "/WeiXin/GetUserChildListIsOnlineState",
                dataType: "json",
                contentType: "application/json; charset=utf-8",
                success: function (context) {
                    if (context.Result == "OK") {
                        $.each(context.Data, function () {
                            if (this.IsOnline)
                                $('#' + this.ChildGuid).prev(".headportraitdiv").removeClass("offline").addClass("online");
                            else {
                                
                                $('#' + this.ChildGuid).prev(".headportraitdiv").removeClass("online").addClass("offline");
                            }
                        });
                    }
                }
            });
        }, 2000);

        //点击事件
        $(".headportrait .headportraitdiv").click(function () {
            //选中图像高亮
            $(".headportraitdiv").removeClass("headportraitSelect");
            $(this).addClass("headportraitSelect");

            var guid = $(this).find('img').attr("ChildGuid");
            func(guid);
        });

        $(".headportrait .headportraitdiv:first").click();

    },
    getCurrheadportrait: function () {
        var $Info = $(".headportraitSelect").next();
        return { DeviceNo: $Info.attr("DeviceNo"), Name: $Info.attr("Name"), ChildGuid: $Info.attr("id") };
    },
    getCurrheadportraitGuid: function () {
        var $Info = $(".headportraitSelect").next();
        return $Info.attr("id");
    },
    setCurrMethod: function (type) {
        if ($(".localMethod").length < 1) {
            alert("请在MyControls.Headportrait中传入参数isShowMethod，否则该方法无效");
            return false;
        }
        if (type.toLocaleLowerCase() == "v1") {
            $(".localMethod", $(".headportraitSelect")).parent().removeClass("localGprsMethod").addClass("localGpsMethod");
        } else if (type.toLocaleLowerCase() == "nbr") {//基站
            $(".localMethod", $(".headportraitSelect")).parent().removeClass("localGpsMethod").addClass("localGprsMethod");
        }

        return true;
    },
    isOnline: function (guid) {
        if (guid) {
            $("#" + guid).prev().hasClass("online");
        } else {
            $(".headportraitSelect").hasClass("online");
        }
    }
});
})(jQuery);
////////////////////////////////////////////////////////////////////


